​
Select Service
ves-io-schema-observability-synthetic_monitor-v1_http_monitor-API-Create
Published April 5, 2023 | Last modified May 29, 2026
Examples of creating v1_http_monitor
Usecase:
Create "https://example.com" v1_http_monitor
Request using vesctl:
vesctl configuration create v1_http_monitor -i v1_http_monitor.yaml
where file v1_http_monitor.yaml has following contents (v1_http_monitor.CreateRequest):
RequestJSON:
{ "metadata": { "name": "example", "namespace": "system", "description": "test monitor" }, "spec": { "url": "https://example.com", "interval_1_min": {}, "head": {}, "on_failure_count": 1, "response_timeout": 45, "external_sources": [ { "aws": { "regions": [ "us-east1" ] } } ], "source_critical_threshold": 1, "response_codes": [ "2**", "3**" ] }}vesctl yaml response:
ResponseJSON:
{ "metadata": { "name": "example", "namespace": "system", "labels": {}, "annotations": {}, "description": "test monitor", "disable": false }, "system_metadata": { "uid": "e39d185a-f95a-4373-88ce-5cd3abfdfc7a", "creation_timestamp": "2026-04-13T02:00:02.291822Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": {} }, "spec": { "url": "https://example.com", "interval_1_min": {}, "head": {}, "request_headers": [], "on_failure_count": 1, "receive": "", "ignore_cert_errors": false, "follow_redirects": false, "response_timeout": 45, "external_sources": [ { "aws": { "regions": [ "us-east1" ] } } ], "source_critical_threshold": 1, "sni_host": "", "response_codes": [ "2**", "3**" ], "health_policy": null }}Request using curl:
curl -X 'POST' -d '{"metadata":{"name":"example","namespace":"system","description":"test monitor"},"spec":{"url":"https://example.com","interval_1_min":{},"head":{},"on_failure_count":1,"response_timeout":45,"external_sources":[{"aws":{"regions":["us-east1"]}}],"source_critical_threshold":1,"response_codes":["2**","3**"]}}' -H 'Content-Type: application/json' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/observability/synthetic_monitor/namespaces/system/v1_http_monitors'curl response:
HTTP/1.1 200 OKContent-Length: 1146Content-Type: application/jsonDate: Mon, 13 Apr 2026 02:00:02 GMTVary: Accept-Encoding
{ "metadata": { "name": "example", "namespace": "system", "labels": { }, "annotations": { }, "description": "test monitor", "disable": false }, "system_metadata": { "uid": "e39d185a-f95a-4373-88ce-5cd3abfdfc7a", "creation_timestamp": "2026-04-13T02:00:02.291822Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "url": "https://example.com", "interval_1_min": {
}, "head": {
}, "request_headers": [ ], "on_failure_count": 1, "receive": "", "ignore_cert_errors": false, "follow_redirects": false, "response_timeout": 45, "external_sources": [ { "aws": { "regions": [ "us-east1" ] } } ], "source_critical_threshold": 1, "sni_host": "", "response_codes": [ "2**", "3**" ], "health_policy": null }}